GzipCodec (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io.compress
Class GzipCodec

    java.lang.Object
      org.apache.hadoop.io.compress.DefaultCodec
          org.apache.hadoop.io.compress.GzipCodec

All Implemented Interfaces:
  Configurable, CompressionCodec

    public class GzipCodec

extends DefaultCodec

This class creates gzip compressors/decompressors.

Nested Class Summary
`protected static class` | `GzipCodec.GzipOutputStream` A bridge that wraps around a DeflaterOutputStream to make it a CompressionOutputStream.

Constructor Summary
`GzipCodec()`

Method Summary
`Compressor` | `createCompressor()` Create a new `Compressor` for use by this `CompressionCodec`.
`Decompressor` | `createDecompressor()` Create a new `Decompressor` for use by this `CompressionCodec`.
`CompressionInputStream` | `createInputStream(InputStream in)` Create a stream decompressor that will read from the given input stream.
`CompressionInputStream` | `createInputStream(InputStream in, Decompressor decompressor)` Create a `CompressionInputStream` that will read from the given `InputStream` with the given `Decompressor`.
`CompressionOutputStream` | `createOutputStream(OutputStream out)` Create a `CompressionOutputStream` that will write to the given `OutputStream`.
`CompressionOutputStream` | `createOutputStream(OutputStream out, Compressor compressor)` Create a `CompressionOutputStream` that will write to the given `OutputStream` with the given `Compressor`.
`Class<? extends Compressor>` | `getCompressorType()` Get the type of `Compressor` needed by this `CompressionCodec`.
`Class<? extends Decompressor>` | `getDecompressorType()` Get the type of `Decompressor` needed by this `CompressionCodec`.
`String` | `getDefaultExtension()` Get the default filename extension for this kind of compression.

Methods inherited from class org.apache.hadoop.io.compress.DefaultCodec
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GzipCodec

    public GzipCodec()

Method Detail

### createOutputStream

    public CompressionOutputStream createOutputStream(OutputStream out)
                                               throws IOException

  Description copied from interface: `CompressionCodec`
  Create a `CompressionOutputStream` that will write to the given `OutputStream`.

  Specified by:
    `createOutputStream` in interface `CompressionCodec`
  Overrides:
    `createOutputStream` in class `DefaultCodec`
  Parameters:
    `out` - the location for the final output stream
  Returns:
    a stream the user can write uncompressed data to have it compressed
  Throws:
    `IOException`

### createOutputStream

    public CompressionOutputStream createOutputStream(OutputStream out,
                                                      Compressor compressor)
                                               throws IOException

  Description copied from interface: `CompressionCodec`
  Create a `CompressionOutputStream` that will write to the given `OutputStream` with the given `Compressor`.

  Specified by:
    `createOutputStream` in interface `CompressionCodec`
  Overrides:
    `createOutputStream` in class `DefaultCodec`
  Parameters:
    `out` - the location for the final output stream
    `compressor` - compressor to use
  Returns:
    a stream the user can write uncompressed data to have it compressed
  Throws:
    `IOException`

### createCompressor

    public Compressor createCompressor()

  Description copied from interface: `CompressionCodec`
  Create a new `Compressor` for use by this `CompressionCodec`.

  Specified by:
    `createCompressor` in interface `CompressionCodec`
  Overrides:
    `createCompressor` in class `DefaultCodec`
  Returns:
    a new compressor for use by this codec

### getCompressorType

    public Class<? extends Compressor> getCompressorType()

  Description copied from interface: `CompressionCodec`
  Get the type of `Compressor` needed by this `CompressionCodec`.

  Specified by:
    `getCompressorType` in interface `CompressionCodec`
  Overrides:
    `getCompressorType` in class `DefaultCodec`
  Returns:
    the type of compressor needed by this codec.

### createInputStream

    public CompressionInputStream createInputStream(InputStream in)
                                             throws IOException

  Description copied from interface: `CompressionCodec`
  Create a stream decompressor that will read from the given input stream.

  Specified by:
    `createInputStream` in interface `CompressionCodec`
  Overrides:
    `createInputStream` in class `DefaultCodec`
  Parameters:
    `in` - the stream to read compressed bytes from
  Returns:
    a stream to read uncompressed bytes from
  Throws:
    `IOException`

### createInputStream

    public CompressionInputStream createInputStream(InputStream in,
                                                    Decompressor decompressor)
                                             throws IOException

  Description copied from interface: `CompressionCodec`
  Create a `CompressionInputStream` that will read from the given `InputStream` with the given `Decompressor`.

  Specified by:
    `createInputStream` in interface `CompressionCodec`
  Overrides:
    `createInputStream` in class `DefaultCodec`
  Parameters:
    `in` - the stream to read compressed bytes from
    `decompressor` - decompressor to use
  Returns:
    a stream to read uncompressed bytes from
  Throws:
    `IOException`

### createDecompressor

    public Decompressor createDecompressor()

  Description copied from interface: `CompressionCodec`
  Create a new `Decompressor` for use by this `CompressionCodec`.

  Specified by:
    `createDecompressor` in interface `CompressionCodec`
  Overrides:
    `createDecompressor` in class `DefaultCodec`
  Returns:
    a new decompressor for use by this codec

### getDecompressorType

    public Class<? extends Decompressor> getDecompressorType()

  Description copied from interface: `CompressionCodec`
  Get the type of `Decompressor` needed by this `CompressionCodec`.

  Specified by:
    `getDecompressorType` in interface `CompressionCodec`
  Overrides:
    `getDecompressorType` in class `DefaultCodec`
  Returns:
    the type of decompressor needed by this codec.

### getDefaultExtension

    public String getDefaultExtension()

  Description copied from interface: `CompressionCodec`
  Get the default filename extension for this kind of compression.

  Specified by:
    `getDefaultExtension` in interface `CompressionCodec`
  Overrides:
    `getDefaultExtension` in class `DefaultCodec`
  Returns:
    the extension including the '.'

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation